// RC5-Sender
//
// Hardwareinitialisierung
//
// Copyright 2000 by Holger Klabunde
// 30.04.2001
// Compiler CC5x

#include "prozess.h"      /* Der verwendete Prozessor */
#include "protos.h"
#include "rc5send.h"

//Der Takt des PIC betrgt 4MHz
//Ein Maschinenzyklus damit 1us


void InitPIC()
{
 CLRWDT;         //Laut Datenblatt vor ndern Prescaler fr TMR0
 OPTION=0b00100001;	 //Pullups on,Prescaler 1:4 und int. Clock	
                       
//Ein TimerClock = 1us * 4 = 4us

 TRISA=0x00; // PortA alles Ausgnge
 TRISB=0xFF; // PortB alles Eingnge

 PORTB=0xFF;    //Definierten Zustand einstellen
 PORTA=0;

 INTCON=0b10011000; //Int. bei Portb-Change und INT
}


